*{
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    box-sizing: border-box;
}
.header{
    min-height: 100vh;
    width: 100%;
    background-image: url(IMG/krm.svg);
    background-position: center;
    background-size: cover;
    position: relative;
}
nav{
    display: flex;
    padding: 2% 6%;
    justify-content: space-between;
    align-items: center;
}
nav img{
    width: 180px;
}
.nav.links{
    flex: 1;
    text-align: right;
}

.nav-links ul li{
    list-style: none;
    display: inline-block;
    padding: 30px 22px;
    position: relative;
}
.nav-links ul li a{
    color: black;
    text-decoration: none;
    font-size: 19px;
}
.nav-links ul li::after{
    content: '';
    width: 0%;
    height: 3px;
    background: rgb(14, 141, 38);
    display: block;
    margin: auto;
    transition: 0.5s;
}
.nav-links ul li:hover::after{
    width: 100%;
}
.text-box{
    width: 90%;
    color: black;
    position: absolute;
    top: 50%;
    left: 60%;
    transform: translate(-50%,-50%);
    text-align: left;
}
.text-box h1{
    font-size: 62px;
    padding-top: 15%;
}
.text-box p{
    margin: 10px 0 40px;
    font-size: 18px;
    font-weight: 400;
    color: green;
}
.hero-btn{
    display: inline-block;
    text-decoration: none;
    color:rgb(0, 0, 0);
    border: 1px solid black;
    padding: 12px 34px;
    font-size: 13px;
    background: transparent;
    position: relative;
    cursor: pointer;
}
.hero-btn:hover{
    border: 1px solid black;
    background: yellow;
    transition: 1s;
}
nav .fa{
    display: none;
}

@media(max-width: 700px){
    .text-box h1{
        font-size: 20px;
    }
    .nav-links ul li{
        display: block;
    }
    .nav-links{
        position: fixed;
        background: rgb(4, 122, 26);
        height: 100vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 2;                                                                 
        transition: 1s;
    }
    nav .fa{
        display: block;
        color:black;
        margin: 10px;
        font-size: 22px;
        cursor: pointer;
    }
    .nav-links ul{
        padding: 30px;
    }
}

/*------course-----*/

.course{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}
h1{
    font-size: 28px;
    font-weight: 600;
}
p{
    color: black;
    font-size: 16px;
    font-weight: 300;
    line-height: 22px;
    padding: 20px;
}

.row{
    margin-top: 5%;
    display: flex;
    justify-content: space-between;
}

.course-col{
    flex-basis: 31%;
    background: rgb(255, 255, 255);
    border-radius: 10px;
    margin-bottom: 5%;
    padding: 20px 12px;
    box-sizing: border-box;
    transition: 0.5s;
}

h3{
    text-align: center;
    font-weight: 600;
    margin: 10px 0;
}
.course-col img{
    width:50%;
    display: block;
    position: relative;
    padding-left: 20%;
}
.layer{
    background:transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s;
}

.course-col:hover{
    box-shadow: 0 0 20px 0px rgba(0, 0, 0, 0.2);
}
@media(max-width:700px){
    .about-row {
        display: flex;
        flex-direction: row; /* Default is row layout for larger screens */
        gap: 20px; /* Adds some space between each item */
    }
    
    /* Mobile layout */
    @media (max-width: 768px) {
        .about-row {
            flex-direction: column; /* Stacks items vertically on mobile */
        }
        .quality{
            flex-direction: column;
        }
        .consulting {
            display:contents;
        }
    }
}


/*---------campus------*/

.campus{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 50px;
}
.campus-col{
    flex-basis: 32%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
}
.campus-col img{
    width:100%;
    display: inline-block;
    height: auto;
    transition: 0.3s;
}
.layer{
    background:transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s;
}
.layer:hover{
    background: rgba(58,152,14,0.7);
    display: block;
}
.layer h3{
    width: 100%;
    font-weight: 500;
    background-color: rgba(58,152,14,0.7);
    color: white;
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.5s;
}
.layer:hover h3{
    bottom: 49%;
    opacity: 1;
    cursor: pointer;
}

/*---------facilities----------*/

.facilities{
    width:80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}
.facilities-col{
    flex-basis: 31%;
    border-radius: 10px;
    margin-bottom: 5%;
    text-align: left;
}
.facilities-col img{
    width: 100%;
    border-radius: 10px;
}
.facilities p{
    padding: 10;
    font-size: 20px;
}
.facilities-col h3{
    margin-top: 16px;
    margin-bottom: 15px;
    text-align: left;
}

/*-----CALL TO ACTION------*/

.cta{
    margin: 90px auto;
    width: 90%;
    background-image: url(IMG/yellowcontact.svg);
    background-position: center;
    background-size: cover;
    border-radius: 50px;
    text-align:center;
    padding: 88px 0;    
}

.cta h1{
    color: black;
    margin-bottom: 40px;
    padding: 80px;
    text-align: left;    
}

@media(max-width: 700px){
    .cta{
        background-size:auto;
    }
    .cta h1{
        font-size: 15px;
    }
}

/*----footer------*/
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

footer{
    background-color: green;
}
.footerContainer{
    width: 100%;
    padding: 70px 30px 20px;
    padding-top:1%;
}
.socialIcons{
    display:flex;
    justify-content: center;
}
.socialIcons a{
    text-decoration: none;
    padding:10px;
    background-color: green;
    margin: 10px;
    border-radius: 50%;
}
.socialIcons a i{
    font-size: 2em;
    color: yellowgreen;
    opacity: 0.9;
}
/* Hofer Effects on social media icons */
.socialIcons a:hover{
    background-color: green;
    transition: 0.5s;
}
.socialIcons a:hover i{
    color: white;
    transition: 0.5s;
}
.footerNav{
    margin:30px 0;
    margin-bottom: 0%;
    margin-top: 0%;
}
.footerNav ul{
    justify-content: center;
    list-style: none;
    display: flex;
    margin-bottom: 0%;
}
.footerNav ul li a{
    color:white;
    margin: 20px;
    text-decoration: none;
    font-size: 1.3em;
    opacity: 0.7;
    transition: 0.5s;
    padding-bottom: 0%;

}
.footerNav ul li a:hover{
    opacity: 1;
}
.footerBoottom{
    background-color: #000;
    padding: 20px;
    text-align: center;
}
.footerBottom p{
    background-color: rgb(0, 104, 0);
    color:white;
    text-align: center;
    padding-bottom: 1,5%;

}
.designer{
    opacity: 0.7;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 400;
    margin: 0px 5px;
}
@media (max-width: 700px){
    .footerNav ul{
        flex-direction: column;
        align-items: center;
    }
    .footerNav ul li{
        width: 100%;
        text-align: center;
        margin: 10px;
    }
}

.containerLocation, .containerInfo{
    flex: 1;
    text-align: center;
    padding: 10px;
    color: white;
}

/* Media Query for Mobile View */
@media (max-width: 768px) {
    footer {
        flex-direction: column;
        align-items: center;
    }

    .containerLocation,
    .containerInfo {
        padding: 10px 0;
    }
}  

.containerLocation img{
    width: 180px;
    padding-top: 0;
    margin-left: -30%;
    margin-bottom: 20%;
}

/*--------About us page------------*/

.sub-header{
    min-height: 100vh;
    width: 100%;
    background-image:url(IMG/greenlabbg.svg);
    background-position: center;
    background-size: cover;
    text-align: center;
    color:black;
}
/* Media Query for Mobile View */
@media (max-width: 768px) {
    .sub-header {
        background-position: top; /* Align image to the top for better focus */
        background-size:cover; /* Ensures the entire image fits within the viewport */
    }
}
.sub-header h1{
    margin-top: 100px;
    text-align: left;
    padding-left: 10%;
    padding-top: 5%;
    font-size: 50px;
}
.sub-header p{
    text-align: left;
    padding-top: 3%;
    padding-left: 10%;
    font-size: 25px;
}
/* Media Query for Mobile View */
@media (max-width: 768px) {
    .sub-header h1 {
        font-size: 10px; /* Smaller font for better readability */
        margin-top: 50px; /* Adjust top margin for better positioning */
        padding-left: 5%; /* Less padding on smaller screens */
        text-align: left; /* Center text on smaller screens */
    }
    .sub-header p {
        font-size: 10px; /* Smaller font size */
        padding-left: 5%; /* Less padding */
        text-align: left; /* Center text on smaller screens */
    }
    .sub-header {
        min-height: 60vh; /* Adjust min-height if needed for better visual balance */
    }
}

.about-us{
    width: 80%;
    margin: auto;
    padding-top: 80px;
    padding-bottom: 50px;
}
.about-col{
    flex-basis: 48%;
    padding: 30px 2px;
}
.about-col img{
    width: 100%;
}
.about-col h1{
    padding-top: 0;
}
.about-col p{
    padding: 15px 0 25px;
}

.about-course{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}
.about-course h1{
    font-size: 30px;
    font-weight: 600;
    color: green;
    text-align: center;
}
/* Media Query for Mobile View */
@media (max-width: 768px) {
    .about-course h1 {
        font-size: 15px; /* Smaller font for better readability */
        padding-left: 5%; /* Less padding on smaller screens */
        text-align: center; /* Center text on smaller screens */
    }
}
.about-course p{
    color: black;
    font-size: 18px;
    font-weight: 300;
    line-height: 22px;
    padding: 20px;
}

.about-row{
    margin-top: 5%;
    display: flex;
    justify-content: space-between;
}

.course-col-about{
    flex-basis: 31%;
    background: rgb(255, 255, 255);
    border-radius: 10px;
    margin-bottom: 5%;
    padding: 20px 12px;
    box-sizing: border-box;
    transition: 0.5s;
}

.course-col-about h3{
    text-align: center;
    font-weight: 700;
    margin: 20px 0;
}
.course-col-about img{
    width:70%;
    display: block;
    position: relative;
    padding-left: 20%;
}

@media(max-width:700px){
    .row{
        flex-direction: column;
    }
}

.quality{
    text-align: left;
    font-size: 20px;
    color: green;
    padding-left: 10%;
    padding-right: 30%;
}

.quality p{
    font-size: 20px;
}
@media (max-width: 768px) {
    .quality, p{
        font-size: 15px; 
        padding-right: 5%; /* Less padding on smaller screens */
        text-align: center; /* Center text on smaller screens */
    }
}
.consulting{
    margin-left: 101%;
    margin-right: 0%;
    margin-top: -45%;
    margin-bottom: 20%;
    
}
.consulting img{
    display: block;
}
@media (max-width: 768px) {
    .consulting img{
        align-items: center;
        height: 15em;
        padding-left: 9%;
    }
}

/*----------Products-------------*/

body{
    overflow-x: hidden;
}
.sub-sub-header{
    min-height: 100vh;
    width: 100%;
    background-image:url(IMG/productbg.svg);
    background-position: center;
    background-size: cover;
    text-align: center;
    color:black;
}
/* Media Query for Mobile View */
@media (max-width: 768px) {
    .sub-sub-header{
        background-position: top; 
        background-size:auto; 
    }
}
.products-content h1{
    margin: 0%;
    padding: 15px;
    padding-left: 10%;
    text-decoration-line: underline;
}
.text-box-product{
    width: 90%;
    color: black;
    position: absolute;
    top: 60%;
    left: 60%;
    transform: translate(-50%,-50%);
    text-align: left;
}
.text-box-product h1{
    font-size: 62px;
}
.text-box-product p{
    margin: 20px 0 40px;
    font-weight: bold;
    line-height: 40px;
    font-size: 25px;
    color: black;
}
@media (max-width: 768px) {
    .text-box-product h1{
        text-align: left;
        font-size: 25px;
    }
    .text-box-product p{
        text-align: left;
        font-size: 15px;
    }
}
.article-body{
    margin: 0;
    padding: 5px;
    background-color: white;
    padding-left: 10%;
    padding-right: 30%;

}
.article-body h3{
    display: contents;
}
.article-body p{
    font-size: 20px;
    font-weight: 400;
}
@media (max-width: 768px) {
    .products-content h1{
        font-size: 18px;
        align-items: center;
        margin-left: 15%;
    }
    .article-body{
        align-items: center;
        margin-left: 7%;
    }
    .article-body h2{
        font-size: 15px;
        margin-left: 30%;
    }
    .article-body p{
        font-size: 12px;
        margin-left: 5%;
    }
}
.granulas-content{
    width: 50%;
    margin-left: 60%;
    margin-right: auto;
    margin-top: 0;
    padding-top: 5%;
    position: relative;
    margin-block-start: -1260px;
    text-align: left;
}
.granulas-content img{
    border-radius: 0%;
    padding: 30px;
    width: 75%;
    display: block;
    position: relative;
    padding-left: 30%;
}

.granulas-content h3{
    text-align: left;
}
.granula1 img{
    display: block;
    padding-top: 0;
}
.granula4 img{
    width: 90%;
    margin-left: 0%;
}
@media (max-width: 768px) {
    .granulas-content ,.granula1 img
    .granula2 img, .granula3 img, .granula4 img {
        display: none; /* Hide image on screens 768px wide or smaller */
    }
}

/*-----------------campus home page--------*/
.sub-home-header{
    min-height: 100vh;
    width: 100%;
    background-image:url(IMG/home.svg);
    background-position: center;
    background-size: cover;
    text-align: left;
    color:black;
}
@media (max-width: 768px) {
    .sub-home-header {
        background-position: top; /* Align image to the top for better focus */
        background-size:auto; /* Ensures the entire image fits within the viewport */
    }
}

.text-box-home{
    width: 90%;
    color: black;
    position: absolute;
    top: 50%;
    left:15%;
    transform: translate(-40%, -50%);
    text-align: center ;
    animation-duration: 2s;
    animation-name: spin;
}
.text-box-home h1{
    padding-top: 10%;
    font-size: 60px;
    margin-left: 12%;
}
@media (max-width: 768px) {
    .text-box-home h1{
        margin-top: 25%;
        font-size: 25px;
        margin-left: 50%;
    }
}
.text-box-home p{
    margin: 20px 0 40px;
    font-size: 24px;
    color:green;  
    font-weight: 600;
    margin-left: 12%;
}
@media (max-width: 768px) {
    .text-box-home p{
        margin-top: 30%;
        font-size: 18px;
        margin-left: 50%;
    }
}
.campus-home{
    width: 50%;
    margin: auto;
    text-align: center;
    padding-top: 50px;
}

.row-home{
    display: block;
}
.campus-col-home{
    flex-basis: 32%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
}
@media (max-width: 768px) {
    .campus h1{
        margin-top: -20%;
        font-size: 18px;
        margin-left: 0%;
    }
}
.campus-col-home img{
    width:50%;
    display: block;
    height: auto;
}
@media (max-width: 768px) {
    .campus-col{
        font-size: 18px;
        margin-left: 0%;
    }
}

.layer-home{
    background:transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s;
}
.layer-home:hover{
    background: rgba(58,152,14,0.7);
}
.layer-home h3{
    width: 50%;
    font-weight: 500;
    color: white;
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.5s;
}
.layer-home:hover h3{
    bottom: 49%;
    opacity: 1;
}
@media (max-width: 768px) {
    .campus-col img{
        display:flex; 
        
    }
}

/*------------------cta-home------------*/
.video-container {
    margin: 70px;
    width: 80%;
    background-position: center;
    border-radius: 50px;
    padding-left: 15%;
}

.video-container video {
    width: 100%;
    height: auto;
    border-radius: 20px; /* Optional: adds rounded corners to the video */

}
@media (max-width: 768px) {
    .video-container{
        width: 90%;
        margin-left: 1%;
    }
}

/*------------------service--------------*/

.header-service{
    min-height: 100vh;
    width: 100%;
    background-image:url(IMG/service1bg.svg);
    background-position: center;
    background-size: cover;
    text-align: left;
    color:black;
}
@media (max-width: 768px){
    .text-box p{
        font-size: 20px;
        text-align: left;
        margin-right: 15%;
    }
}

.recycling-content{
    background-image: url(IMG/recycling1.svg) ;
    background-position: center;
    background-size: cover;
    padding: 20px;
    text-align: left;
    padding-bottom: 5%;
}
@media (max-width: 768px) {
    .recycling-content {
        background-position: top;
        background-size:auto; 
    }
}
.recycling-content h1{
    padding-left: 7%;
    font-size: 45px;
    font-weight: 800;
    margin-left: 8%;
}
.w3-recycle{
    text-align: left;
    padding-bottom: 5%;
    padding-left: 7%;
    text-align: left;   

}
.w3-recycle h2{
    text-align: justify;
    font-size: xx-large;
    font-weight: 600;
    margin-left: 8%;
    
}
@media (max-width: 768px) {
    .w3-recycle h2{
        font-size: 20px;
    }
}

.w3-recycle p{
    text-align: left;
    font-size: 20px;
    font-weight: 400;
    padding-bottom: 0%;
    padding-right: 20%;
    margin-left: 8%;
}
@media (max-width: 768px) {
    .w3-recycle p{
    font-size: 18px;
    }
}
    
.service{
    width: 100%;
    padding-left: 15%;
    padding-right: 5%;
    background-image: url(IMG/recycling3.svg);
    background-size: cover;
}
@media (max-width: 768px) {
    .service{
        background-position: top;
        background-size:auto; 
    }
}
.service h1{
    text-align: left;
    font-size: 40px;
    font-weight: 700;
}
.service-body{
    padding-bottom: 5%;
}
.service p{
    text-align: left;
    font-size: 20px;
    font-weight: 400;
    padding-bottom: 0%;
    padding-right: 20%;
}
@media (max-width: 768px) {
    .service-body p{
    font-size: 18px;
    }
}
.service h2{
    text-align: justify;
    font-size: xx-large;
    font-weight: 600;
}
@media (max-width: 768px) {
    .service-body h2{
        font-size: 20px;
        display: flex;
    }
}

/*-------------contact us---------------*/

.header-contact{
    height: 30vh;
    width: 100%;
    background-position: center;
    background-size: cover;
    text-align: center;
}

.location{
    width: 80%;
    margin: auto;
    padding: 80px 0;
}
.location iframe{
    width:100%;
}
.contact-us{
    width: 50%;
    padding-left: 15%;
    padding-top: 0%;
}
.contact-row {
    display:flex; /* Align items horizontally */
    align-items: center; /* Center items vertically */
    gap: 20px;
}
.contact-row i {
    font-size: 30px;
    color: green;
    padding-right: 0%;
}
.contact-row h5{
    padding-top: 11%;
    padding-bottom: 10%;
    font-size: 18px;
    font-weight: 400;
}
@media (max-width: 768px) {
    .contact-row h5{
        font-size: 12px;
        display: flex;
    }
}

.contact-form{
    width: 100%;
    margin-left: 45%;
    padding-left: 1%;
    margin-top: -15%;
    max-width: 400px; /* Control the width of the form area */
    margin-bottom: 50px;
}
.contact-form input, .contact-form textarea{
    width: 140%;
    padding: 15px;
    margin-bottom: 17px;
    outline: none;
    border: 1px solid black;
    box-sizing: border-box;
}
@media (max-width: 768px) {
    .contact-form{
        margin-left: 0%;
        margin-top: 10%;
        padding-right: 30%;
    }
}
